import os
import psycopg2
import psycopg2.extras
from pandas import DataFrame

os.environ["PGHOST"] = "tsdb02-rd.krohne.com"
os.environ["PGDATABASE"] = "schoellershammer"
os.environ["PGPORT"] = "5432"
os.environ["PGUSER"] = "dehottgw"
os.environ["PGSSLMODE"] = "verify-ca"
os.environ["PGSSLKEY"] = "/home/wn/keys/psql/dehottgw-tsdb02-client.key"
os.environ["PGSSLCERT"] = "/home/wn/keys/psql/dehottgw-tsdb02-client.crt"
os.environ["PGSSLROOTCERT"] = "/home/wn/keys/psql/dev-internal-ca.crt"

try:
    conn = psycopg2.connect()
    conn.autocommit = False

    with conn:
        with conn.cursor(cursor_factory = psycopg2.extras.RealDictCursor) as cur:
            cur.execute('SELECT * FROM "NetworkMonitoring"')
            nm = DataFrame(cur.fetchall())
            print(f"{nm=}")
except psycopg2.Error as err:
    raise Exception("Error when connecting to database: {}".format(err))
finally:
    if conn:
        conn.close()
